Hooks:PostHook(WeaponTweakData, "init", "DukeDefenderModInit", function(self)
	self.dukedefender_crew = deep_clone(self.ksg_crew)
if self.dukedefender then
	self.dukedefender.reload_timed_stance_mod = {
		not_empty = {
			hip = {
				{t = 5, translation = Vector3(0, -15, -25), rotation = Rotation(0, 40, 0), speed = 0.5},
				{t = 0.0, translation = Vector3(0, 0, 0), rotation = Rotation(0, 0, 0), speed = 0.5}
			}
		},
		empty = {
			hip = {
				{t = 5, translation = Vector3(0, -15, -25), rotation = Rotation(0, 40, 0), speed = 0.5},
				{t = 0.0, translation = Vector3(0, 0, 0), rotation = Rotation(0, 0, 0), speed = 0.5}
			}
		}
	}
end
if self.SetupAttachmentPoint then
	self:SetupAttachmentPoint("dukedefender", {
		name = "a_fl",
		base_a_obj = "a_fl",
		position = Vector3(1.9, 8, 0)
	})
end
end)